Documentation Index Fetch the complete documentation index at: https://docs.uqpay.org/llms.txt
Use this file to discover all available pages before exploring further.
Parameters
Unique Identifier for card.
A unique request ID specified by the client. Requests with the same request_id will be ignored. This allows requests to be replayed if client is unsure of the outcome, e.g. due to network issues, system failures, etc. Note: Can be non-UUID as long as it is unique between requests.
Maximum Length 36
Response
Indicates whether the call was successful. 200 if successful, 400 if not.
Response Message. “Success” if successful, others not.
The parameter you passed in.
The parameter you passed in.
The parameter you passed in.
The parameter you passed in.
curl 'https://api.sandbox.uqpay.org/api/v1/cards/withdraw' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"card_id":"fd9fd99a-bcdb-4ae6-860f-92e7c70ce41a","card_number":"9333019900054528","amount":"1","unique_request_id":"26c918bd-6605-4bc8-a7f4-797894865e76"}'
{
"code" : 200 ,
"message" : "Success" ,
"data" : {
"amount" : "1" ,
"card_id" : "fd9fd99a-bcdb-4ae6-860f-92e7c70ce41a" ,
"card_number" : "9333019900054528" ,
"unique_request_id" : "26c918bd-6605-4bc8-a7f4-797894865e76"
}
}